National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2007-4909 Detail

Current Description

Interpretation conflict in WinSCP before 4.0.4 allows remote attackers to perform arbitrary file transfers with a remote server via file-transfer commands in the final portion of a (1) scp, and possibly a (2) sftp or (3) ftp, URL, as demonstrated by a URL specifying login to the remote server with a username of scp, which is interpreted as an HTTP scheme name by the protocol handler in a web browser, but is interpreted as a username by WinSCP. NOTE: this is related to an incomplete fix for CVE-2006-3015.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 9.3 HIGH
Vector: (AV:N/AC:M/Au:N/C:C/I:C/A:C) (V2 legend)
Impact Subscore: 10.0
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): Complete
Availability (A): Complete
Additional Information:
Victim must voluntarily interact with attack mechanism
Provides administrator access
Allows unauthorized disclosure of information
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://securityreason.com/securityalert/3141
http://winscp.cvs.sourceforge.net/winscp/winscp3/core/SessionData.cpp?r1=1.29&r2=1.30
http://winscp.net/eng/docs/history/
http://www.securityfocus.com/archive/1/479298/100/0/threaded
http://www.securityfocus.com/bid/25655 Patch
http://www.securitytracker.com/id?1018697
https://exchange.xforce.ibmcloud.com/vulnerabilities/36591

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Controls (CWE-264)

Known Affected Software Configurations Switch to CPE 2.3

Configuration 1 ( hide )
 cpe:/a:winscp:winscp:2.0.0
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.5.5_beta
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.5.6
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.6
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.6.1
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.6.5_beta
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.6.6
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.6.7
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.8.1
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:3.8.2
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:4.0.2
     Show Matching CPE(s)
 cpe:/a:winscp:winscp:4.0.3
     Show Matching CPE(s)


Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2007-4909
NVD Published Date:
09/17/2007
NVD Last Modified:
10/15/2018